apiVersion: v1
kind: Pod
metadata:
  annotations:
    cni.projectcalico.org/containerID: 78dceec12845e485c4a897718b017db2e57d5a16822d27cce0c4600b8ef8acb7
    cni.projectcalico.org/podIP: 172.17.5.190/32
    cni.projectcalico.org/podIPs: 172.17.5.190/32
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "k8s-pod-network",
          "ips": [
              "172.17.5.190"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "k8s-pod-network",
          "ips": [
              "172.17.5.190"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  creationTimestamp: "2022-04-21T09:12:25Z"
  labels:
    webserver-hash: A_6zTh9t8rQJnpjrlEnReEQUm6IxaAi8f_3BHBBXFiALA
  name: jws-app-toto
  ownerReferences:
  - apiVersion: web.servers.org/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: WebServer
    name: example-image-webapp-sources-webserver
    uid: da9e598c-ece6-45eb-9eaf-b647b094dca1
  resourceVersion: "4278004"
  uid: 0564376a-ff35-4818-8219-efdcdec04598
spec:
  containers:
  - args:
    - /build/my-files/build.sh
    command:
    - /bin/sh
    env:
    - name: webAppWarFileName
      value: ROOT.war
    - name: webAppSourceRepositoryURL
      value: https://github.com/jfclere/demo-webapp.git
    - name: webAppSourceRepositoryRef
      value: jakartaEE
    - name: webAppWarImage
      value: quay.io/jfclere/test
    - name: webAppSourceImage
      value: quay.io/jfclere/tomcat10:latest
    image: quay.io/jfclere/tomcat10-buildah
    imagePullPolicy: Always
    name: war
    resources: {}
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /auth
      name: app-volume
      readOnly: true
    - mountPath: /build/my-files
      name: webserver-bd-example-image-webapp-sources-webserver
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dtghp
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: builder-dockercfg-bmj2j
  nodeName: 10.243.0.4
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: OnFailure
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000630000
    seLinuxOptions:
      level: s0:c25,c15
  serviceAccount: builder
  serviceAccountName: builder
  terminationGracePeriodSeconds: 60
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: app-volume
    secret:
      defaultMode: 420
      secretName: secretfortests
  - configMap:
      defaultMode: 420
      name: webserver-bd-example-image-webapp-sources-webserver
    name: webserver-bd-example-image-webapp-sources-webserver
  - name: kube-api-access-dtghp
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-04-21T09:12:26Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-04-21T09:12:29Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-04-21T09:12:29Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-04-21T09:12:26Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://1d96981fe20c86335b881540f15d42b59d540bfceb12cb92848312c5ff0f4a68
    image: quay.io/jfclere/tomcat10-buildah:latest
    imageID: quay.io/jfclere/tomcat10-buildah@sha256:fb3bba8afbbc1e938b31a590ad7f69ad5bfaca930f32a6dac63a04fcf30a3d61
    lastState: {}
    name: war
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-04-21T09:12:28Z"
  hostIP: 10.243.0.4
  phase: Running
  podIP: 172.17.5.190
  podIPs:
  - ip: 172.17.5.190
  qosClass: BestEffort
  startTime: "2022-04-21T09:12:26Z"
